curl --request PUT \
--url https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"hash": "eU2Fdi4EMUw="
}
'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity"
payload = { "hash": "eU2Fdi4EMUw=" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"hash\": \"eU2Fdi4EMUw=\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"hash\": \"eU2Fdi4EMUw=\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'hash' => 'eU2Fdi4EMUw='
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({hash: 'eU2Fdi4EMUw='})
};
fetch('https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Confirm identity
Confirm end user’s identity. Feature is not enabled by default.
Required scope: Enable one of: whatsapp:manage, whatsapp:message:send.
curl --request PUT \
--url https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"hash": "eU2Fdi4EMUw="
}
'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity"
payload = { "hash": "eU2Fdi4EMUw=" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"hash\": \"eU2Fdi4EMUw=\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"hash\": \"eU2Fdi4EMUw=\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'hash' => 'eU2Fdi4EMUw='
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({hash: 'eU2Fdi4EMUw='})
};
fetch('https://api.messaging.phonovation.com/whatsapp/1/{sender}/contacts/{userIdentifier}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Registered WhatsApp sender number. Must be in international format.
End user's number in international format or BSUID.
Body
Identity hash
1"eU2Fdi4EMUw="
Response
Identity successfully confirmed.